CHCPU(8)

NAMN
chcpu - konfigurera processorer

SYNOPSIS

chcpu -c|-d|-e|-g cpu-list

chcpu -p läge

chcpu -r|-h|-V

BESKRIVNING

chcpu kan ändra processorns tillstånd. Den kan aktivera eller inaktivera processorer, söka efter nya processorer, ändra den underliggande hypervisorns läge för processordistribution och begära processorer från hypervisorn (konfigurera) eller returnera processorer till hypervisorn (avkonfigurera).

Vissa flaggor har ett cpu-list-argument. Använd detta argument för att ange en kommaseparerad lista med processorer. Listan kan innehålla enskilda CPU-adresser eller adressintervall. Exempel: 0,5,7,9-11 gör att kommandot kan användas för processorer med adresserna 0, 5, 7, 9, 10 och 11.

FLAGGOR

-c, --configure cpu-list
    Konfigurera de angivna processorerna. Att konfigurera en CPU innebär att hypervisor tar en CPU från CPU-poolen och tilldelar den till den virtuella maskinvaran som din kärna körs på.

-d, --disable cpu-list
    Inaktivera de angivna processorerna. Att inaktivera en CPU innebär att kärnan sätter den offline.

-e, --enable cpu-list
    Aktivera de angivna processorerna. Aktivering av en processor innebär att kärnan sätter den online. En CPU måste konfigureras, se -c, innan den kan aktiveras.

-g, --deconfigure cpu-list
    Dekonfigurera de angivna processorerna. Att avkonfigurera en processor innebär att hypervisorn tar bort processorn från den virtuella maskinvaran som Linux-instansen körs på och återför den till processorpoolen. En processor måste vara offline, se -d, innan den kan avkonfigureras.

    chcpu -g stöds inte på IBM z/VM, processorer är alltid i ett konfigurerat tillstånd.

    om chcpu -g stöds bör alla inaktiverade processorer dekonfigureras för att informera hypervisorn om att dessa processorer inte kommer att användas, för att undvika potentiella prestandaförluster.

-p, --dispatch läge
    Ställ in CPU-dispatching läge (polarisering). Den här flaggan har endast effekt om maskinvaruarkitekturen och hypervisorn stöder CPU-polarisering. Tillgängliga modes är:

    horisontellt
        Arbetsbelastningen fördelas på alla tillgängliga processorer.

    vertikal
        Arbetsbelastningen koncentreras till ett fåtal processorer.

-r, --rescan
    Starta en ny genomsökning av processorerna. Efter en ny genomsökning känner Linux-kärnan igen de nya processorerna. Använd den här flaggan på system som inte automatiskt upptäcker nyanslutna processorer.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

chcpu har följande värden för utgångsstatus:

0
    lyckades

1
    misslyckande

64
    delvis framgång

UPPHOVSPERSONER

UPPHOVSRÄTT

Upphovsrätt IBM Corp. 2011

SE ÄVEN

lscpu(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot chcpu ingår i paketet util-linux som kan hämtas från